#pragma once
#include "JObject_NetSDK.h"
#include "BroadTrends.h"
NS_NETSDK_CFG_BEGIN

#define JK_Camera_ParamEx "Camera.ParamEx"
class Camera_ParamEx : public JObject //
{
public:
	JIntObj			AeMeansure;				///测光模式校正  0:平均测光 1:中央测光
	BroadTrends		mBroadTrends;			///宽动态
	JIntObj		Dis;						///电子防抖设置  0:关闭 1:开启
	JIntHex		ExposureTime;				///实际生效的曝光时间(类型是unsigned int)
	JIntObj		Ldc;						//镜头畸变校正  0:关闭 1:开启
	JIntObj		LowLuxMode;					///微光模式 mode：0 关闭 1开启 ==only imx291
	JStrObj		Style;						///风格类型，由设备底层控制--"typedefault","type1","type2"
	JIntObj		CorridorMode;				///1:走廊模式  0:普通模式
	JIntObj		LightRestrainLevel;			///强光抑制功能0~255，默认16
	JIntObj		PreventOverExpo;			///防过曝   0:关闭   1:开启
	JIntObj		SoftPhotosensitivecontrol;	///软光敏控制 0:光敏自动调节 1:软件自动调节 2:开启3:关闭
	JIntObj		AutomaticAdjustment;		/// 自动调节档次 :  1~4


public:
    Camera_ParamEx(JObject *pParent = NULL, const char *szName = JK_Camera_ParamEx):
    JObject(pParent,szName),
	AeMeansure(this, "AeMeansure"),
	mBroadTrends(this, "BroadTrends"),
	Dis(this, "Dis"),
	ExposureTime(this, "ExposureTime"),
	Ldc(this, "Ldc"),
	LowLuxMode(this, "LowLuxMode"),
	Style(this, "Style"),
	CorridorMode(this, "CorridorMode"),
	LightRestrainLevel(this, "LightRestrainLevel"),
	PreventOverExpo(this, "PreventOverExpo"),
	SoftPhotosensitivecontrol(this, "SoftPhotosensitivecontrol"),
	AutomaticAdjustment(this, "AutomaticAdjustment"){
	};

    ~Camera_ParamEx(void){};
};

NS_NETSDK_CFG_END